register_uformat(3)

NAME
register_uformat - Installs handler functions for a new text encoding format. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_uformat(int type, int (*u_getc)(const char *s), int (*u_getx)(char **s), int (*u_setc)(char *s, int c), int (*u_width)(const char *s), int (*u_cwidth)(int c), int (*u_isok)(int c));

DESCRIPTION
Installs a set of custom handler functions for a new text encoding format. The `type' is the ID code for your new format, which should be a 4-character string as produced by the AL_ID() macro, and which can later be passed to functions like set_uformat() and uconvert(). The function parameters are handlers that implement the character access for your new type: see below for details of these.

SEE ALSO
set_uformat(3), uconvert(3), ugetc(3), ugetx(3), usetc(3), uwidth(3), ucwidth(3), uisok(3)